import 'babel-polyfill'
import Es6Promise from 'es6-promise'
Es6Promise.polyfill()
require('es6-promise').polyfill()
import Vue from 'vue'
import App from './App'
import MintUI from 'mint-ui';
import 'mint-ui/lib/style.css'
import './assets/css/index.styl'
// import 'assets/js/vconsole.min.js'

import store from './store'
import router from './router'

import '@/permission' // permission control

// mint-ui
Vue.use(MintUI);

// 使用高德地图
import VueAMap from 'vue-amap';
Vue.use(VueAMap);
VueAMap.initAMapApiLoader({
  key: 'b6c27a2051691fcb386543c800356e05',
  plugin: ['AMap.Autocomplete', 'AMap.PlaceSearch', 'AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', 'AMap.PolyEditor', 'AMap.CircleEditor'],
  // 默认高德 sdk 版本为 1.4.4
  v: '1.4.4'
});

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: {App},
  template: '<App/>'
})

import Tabbottom from '@/page/layout/components/TabBottom'
Vue.component('Tabbottom',Tabbottom)

